#perl-Msgcat.spec
%define name perl-Msgcat
%define real_name Msgcat
%define version 1.03
%define release 3mdk

Summary: Msgcat, a small Perl module for XPG4 message catalog functions
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Languages 
Buildroot: %{_tmppath}/%{name}-buildroot
Source: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Locale/%{real_name}-%{version}.tar.bz2
Prefix: %{_prefix}

%description
This is Msgcat, a small Perl modules for systems which support the XPG4
message catalog functions : catopen(3), catgets(3) and catclose(4).

%prep
%setup -q -n %{real_name}-%{version}

%build
perl Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}

%install
make install PREFIX="$RPM_BUILD_ROOT%{prefix}"
bzip2 -9f $RPM_BUILD_ROOT%{prefix}/lib/perl5/man/man3/*.3

%files
%defattr(-,root,root)
%dir /usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Locale/Msgcat
/usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Locale/Msgcat/Msgcat.so
/usr/lib/perl5/site_perl/5.005/%{_arch}-linux/auto/Locale/Msgcat/Msgcat.bs
/usr/lib/perl5/site_perl/5.005/%{_arch}-linux/Locale/Msgcat.pm
/usr/lib/perl5/man/man3/Locale::Msgcat.3.bz2


%changelog

* Mon Dec  6 1999 Jerome Dumonteil <jd@mandrakesoft.com>

- small cleaning in path variables

* Sun Dec  5 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- changed instances of i386 into %%{_arch} in the spec file.

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>

- first version of rpm.

# end of file
